import _extends from "@babel/runtime/helpers/esm/extends";
import { jsx as _jsx } from "react/jsx-runtime";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import PropTypes from 'prop-types';
import { LINK_TYPES } from '../constants';
/**
 * Component treated as an anchor when href is defined
 */

var ActionableTagContainer = function ActionableTagContainer(_ref) {
  var Link = _ref.Link,
      href = _ref.href,
      target = _ref.target,
      rel = _ref.rel,
      children = _ref.children,
      props = _objectWithoutPropertiesLoose(_ref, ["Link", "href", "target", "rel", "children"]);

  return href ? /*#__PURE__*/_jsx(Link, _extends({
    href: href,
    target: target,
    rel: rel
  }, props, {
    children: children
  })) : /*#__PURE__*/_jsx("span", _extends({}, props, {
    children: children
  }));
};

ActionableTagContainer.propTypes = process.env.NODE_ENV !== "production" ? {
  Link: PropTypes.func,
  href: PropTypes.string,
  target: PropTypes.oneOf(['_self', '_blank', '_parent', '_top']),
  rel: PropTypes.arrayOf(PropTypes.oneOf(Object.values(LINK_TYPES))),
  children: PropTypes.node.isRequired
} : {};
export default ActionableTagContainer;